/**
**************************************************************************
* @file interface_config.h
* @brief Конфигурации для интерфейсов
**************************************************************************
  * @defgroup    INTERFACE_CONFIGS     Configs for interfaces
  * @brief       Конфигурации для интерфейсов
  * @details     
	@{
*************************************************************************/
#ifndef _INTERFACE_CONFIG_H_
#define _INTERFACE_CONFIG_H_

/** 
	* @addtogroup 		MODBUS_CONFIG   Конфигурации для модбас
	* @ingroup        INTERFACE_CONFIGS
	* @ingroup        MODBUS
	@{
	*/

#define MODBUS_VENDOR_NAME            "NIO-12"
#define MODBUS_PRODUCT_CODE           "12345"
#define MODBUS_REVISION               "Ver. 1.0"
#define MODBUS_VENDOR_URL             "https://git.arktika.cyou/Andrey/Diod_Test"
#define MODBUS_PRODUCT_NAME           "Diode Tester"
#define MODBUS_MODEL_NAME             "STM32F103"
#define MODBUS_USER_APPLICATION_NAME  "diode_tester"

//#define MODBUS_UART_NUMB 							1							///< Номер используемого UART, по нему выставляется дефайн USED_MB_UART = USARTx
#define MODBUS_SPEED									115200			  ///< Скорость UART для модбас
//#define MODBUS_GPIOX									GPIOA					///< Порт для UART RX/TX
//#define MODBUS_GPIO_PIN_RX						GPIO_PIN_9		///< Пин для UART RX
//#define MODBUS_GPIO_PIN_TX						GPIO_PIN_10		///< Пин для UART TX

//#define MODBUS_TIM_NUMB 							2							///< number of used tim, accord to this define sets define USED_MB_TIM = TIMx 
//#define MODBUS_TIM_AHB_FREQ						72						///< TIM AHB Bus Freq

// defines for modbus behaviour 
#define MODBUS_DEVICE_ID 							1			///< девайс текущего устройства
//#define MODBUS_MAX_TIMEOUT 						500 	///< максимальнйы тайтаут MB is ms


#define RS_UART_Init                  MX_USART1_UART_Init
#define RS_UART_DeInit                HAL_UART_MspDeInit
#define RS_TIM_Init                   MX_TIM2_Init
#define RS_TIM_DeInit                 HAL_TIM_Base_MspDeInit
#define rs_huart                      huart1
#define rs_htim                       htim2
/**
  * @brief    Поменять комманды 0x03 и 0x04 местами (для LabView терминалки от двигателей)
  * @details  Терминалка от двигателей использует для чтения регистров комманду R_HOLD_REGS вместо R_IN_REGS
  *           Поэтому чтобы считывать Input Regs - надо поменять их местами.
  */
#define MODBUS_SWITCH_COMMAND_R_IN_REGS_AND_R_HOLD_REGS

/////////////////////////////////////////////////////////////////////
/////////////////////////---CALC DEFINES---//////////////////////////

/** MODBUS_CONFIG
  * @}
  */


  
  
/** INTERFACE_CONFIGS
  * @}
  */

#endif //_INTERFACE_CONFIG_H_